Cайт веб-разработчика, программиста Ruby on Rails ESV Corp. Екатеринбург, Москва, Санкт-Петербург, Первоуральск

Админка на Ruby on Rails

Решение проблемы с установкой Ruby on Rails на Ruby 2.3 для Windows

Наконец-то выпущен Ruby 2.3 для Windows (не прошло и полгода, как говорится). Я не пользуюсь Ruby в Windows, но для работы IDE он требуется. Требуется также и установленный Ruby on Rails. Но при установке gem install rails gem nokogiri сообщает, что он работает только с версиями Ruby < 2.3, и прерывает всю установку. Довольно странно, ну да ладно.

Исправляется все довольно просто:

gem install nokogiri -v '1.6.5'

и уже после этого

gem install rails

Чтобы корректно работала команда gem update, необходимо провести еще следующие манипуляции:

gem install nokogiri -v '1.6.8.rc3'

добавить в Gemfile

gem 'nokogiri', '>=1.6.8.rc3'